GCXONEDocumentation

Developer Tools

On this page
  1. POST /utility/execute
  2. Request body
  3. Responses

Operations on developer tools resources. 1 endpoint, each relative to https://api.nxgen.cloud/api/v1 and authenticated as described under Authentication.

POST /utility/execute

Execute scripts

Request body

json
{
  "requests": [
    {
      "type": "string",
      "payload": {
        "message": "string"
      }
    }
  ]
}

Responses

Status

Description

Body

200

Success

400

Invalid Request

401

Unauthorized

404

Not Found

Example 200 response:

json
{
  "0": {
    "success": true,
    "response": "{\n  \"userId\": 1,\n  \"id\": 1,\n  \"title\": \"sunt aut facere repellat provident occaecati excepturi optio reprehenderit\",\n  \"body\": \"quia et suscipit\\nsuscipit recusandae consequuntur expedita et cum\\nreprehenderit molestiae ut ut quas totam\\nnostrum rerum est autem sunt rem eveniet architecto\"\n}"
  },
  "1": {
    "success": true,
    "response": "{\n  \"userId\": 1,\n  \"id\": 2,\n  \"title\": \"qui est esse\",\n  \"body\": \"est rerum tempore vitae\\nsequi sint nihil reprehenderit dolor beatae ea dolores neque\\nfugiat blanditiis voluptate porro vel nihil molestiae ut reiciendis\\nqui aperiam non debitis possimus qui neque nisi nulla\"\n}"
  }
}
Was this page helpful?

Thank you — your feedback goes to the team that owns this page.